/*---------------------------------------------------------------------------*
 *
 * Project:	fXPlayMidi
 *
 * $RCSfile: path.c,v $
 * $Date: 1996/03/02 20:00:48 $
 * $Author: klmcw $
 * $Revision: 1.2 $
 *
 *---------------------------------------------------------------------------*
 * $Log: path.c,v $
 * Revision 1.2  1996/03/02 20:00:48  klmcw
 * Added #includes per -Wall suggestions -- better lint than lint!
 *
 * Revision 1.1  1996/02/26 02:25:08  klmcw
 * Initial revision
 *
 *---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
#include <limits.h>
#include <memory.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <unistd.h>

#include "path.h"

/*---------------------------------------------------------------------------*/
const char *
pathFind(void)
{
  static char Path[_POSIX_PATH_MAX+1];
  const char *Home = NULL;

  memset(Path, '\0', sizeof(Path));

  if(Home == NULL) Home = getenv("HOME");
  if(Home != NULL) sprintf(Path, "%s/%s", Home, ".fXPlayMidi");
  else             return(NULL);

  if(access(Path, R_OK|W_OK) < 0)
    mkdir(Path, 0755);

  return(Path);
}
/*---------------------------------------------------------------------------*/
